#2951 closed defect (fixed)

Error path in rtems-gcc-6.3.0-newlib-2.5.0.20170228-1.cfg

Reported by: alexgerbor Owned by: chrisj@…
Priority: normal Milestone: 5.1
Component: build Version: 5
Severity: normal Keywords: newlib, 4.12, build, path
Cc: Blocked By:
Blocking:

Description

newlib-ARM-Optimize-IEEE-754-sqrt-implementation.diff in path https://git.rtems.org/rtems-tools/plain/tools/4.12/newlib/arm/ not found

In rtems-gcc-6.3.0-newlib-2.5.0.20170228-1.cfg there error:
%patch add newlib %{rtems_newlib_patches}/arm/newlib-ARM-Optimize-IEEE-754-sqrt-implementation.diff

Log from execute /source-builder/sb-set-builder:

download: (full) https://git.rtems.org/rtems-tools/plain/tools/4.12/newlib/arm/newlib-ARM-Optimize-IEEE-754-sqrt-implementation.diff -> patches/newlib-ARM-Optimize-IEEE-754-sqrt-implementation.diff
download: https://git.rtems.org/rtems-tools/plain/tools/4.12/newlib/arm/newlib-ARM-Optimize-IEEE-754-sqrt-implementation.diff -> patches/newlib-ARM-Optimize-IEEE-754-sqrt-implementation.diff
download: no ssl context
download: https://git.rtems.org/rtems-tools/plain/tools/4.12/newlib/arm/newlib-ARM-Optimize-IEEE-754-sqrt-implementation.diff: error: HTTP Error 404: Not found
error: downloading https://git.rtems.org/rtems-tools/plain/tools/4.12/newlib/arm/newlib-ARM-Optimize-IEEE-754-sqrt-implementation.diff: all paths have failed, giving up

Change History (3)

comment:1 Changed on Mar 26, 2017 at 3:49:43 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: newclosed

In b47a811/rtems-source-builder:

4.11/arm: Fix the path to the sqrt patch.

Use the upstream patch sent to the newlib mailing list.

Closes #2951.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.